aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2016-11-02 14:47:54 +0200
committerTimo Teräs <timo.teras@iki.fi>2016-11-02 14:47:54 +0200
commit1151be153dfd366cafebf89306ac0318e3e6bff5 (patch)
tree6e917fe36a47923c6051d82558fe556a99be6617
parent3e00b96dabd16c7b7ebbfd450da43bb8dc437fb3 (diff)
downloadaports-1151be153dfd366cafebf89306ac0318e3e6bff5.tar.gz
aports-1151be153dfd366cafebf89306ac0318e3e6bff5.tar.bz2
aports-1151be153dfd366cafebf89306ac0318e3e6bff5.tar.xz
main/policyd-spf-fs: fix build
-rw-r--r--main/policyd-spf-fs/APKBUILD18
-rw-r--r--main/policyd-spf-fs/fix-makefile.patch13
2 files changed, 24 insertions, 7 deletions
diff --git a/main/policyd-spf-fs/APKBUILD b/main/policyd-spf-fs/APKBUILD
index e04f7cd0b5..e96af6d965 100644
--- a/main/policyd-spf-fs/APKBUILD
+++ b/main/policyd-spf-fs/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Timo Teras <timo.teras@iki.fi>
pkgname=policyd-spf-fs
pkgver=23
-pkgrel=2
+pkgrel=3
pkgdesc="Policy daemon for checking SPF records in postfix"
url="http://www.freestone.net/software/policyd-spf-fs/"
arch="all !aarch64"
@@ -12,14 +12,15 @@ makedepends="libspf2-dev"
install=
subpackages=""
source="http://www.freestone.net/ftp/policyd-spf-fs/${pkgname}_$pkgver.tar.gz
- policyd-spf-fs-localpolicy-fix.patch"
+ policyd-spf-fs-localpolicy-fix.patch
+ fix-makefile.patch
+ "
builddir="$srcdir"/${pkgname}_$pkgver
build() {
cd "$builddir"
- sed -i -e 's/-lnsl//' Makefile
- make CFLAGS+=-DHAVE_NS_TYPE || return 1
+ make CFLAGS+=-DHAVE_NS_TYPE LIBS="-lspf2" || return 1
}
package() {
@@ -29,8 +30,11 @@ package() {
}
md5sums="781552698358fa94dc2df7258177776d policyd-spf-fs_23.tar.gz
-3ec7873341af655ac940db3e62733060 policyd-spf-fs-localpolicy-fix.patch"
+3ec7873341af655ac940db3e62733060 policyd-spf-fs-localpolicy-fix.patch
+51944908016deb6021b59eb76ee21571 fix-makefile.patch"
sha256sums="be7de816d188a295da6dbfea753fb148de58a4999d7615d5550fd773897b22f3 policyd-spf-fs_23.tar.gz
-8f9da1d68113dacad18c4815d321baa3ccd97af89b6801f36e74faeadf35e2d0 policyd-spf-fs-localpolicy-fix.patch"
+8f9da1d68113dacad18c4815d321baa3ccd97af89b6801f36e74faeadf35e2d0 policyd-spf-fs-localpolicy-fix.patch
+3f632641e913dcaab44fdfa3ad0430dd9f5726c108ea38d492d8639595e9c1c1 fix-makefile.patch"
sha512sums="2288ea42f25a20261a24ac33dc0ade0e6bdb4266a1f14db5d2cc2a0a5929aa0884c7e55578039d6205c6bb467e351a75231619a48bd0db80ed8c9988bde390f7 policyd-spf-fs_23.tar.gz
-89a90f717538f0440d7ad98a979f3b3209dc1d85751786dc5eae867c009db8902a65694614e105aea4ed79c64a8d57cae8fc9f8902b01fdd395bd95e50e53f78 policyd-spf-fs-localpolicy-fix.patch"
+89a90f717538f0440d7ad98a979f3b3209dc1d85751786dc5eae867c009db8902a65694614e105aea4ed79c64a8d57cae8fc9f8902b01fdd395bd95e50e53f78 policyd-spf-fs-localpolicy-fix.patch
+b2df1dc4e7982a2e9766f2d80d1a60d9f7a5d5eea9dbb8e8c64cab9c8aebbfb62f786e1f1f5d0e946f28d77009a4c50fd18ac9fac08767aaa888e321ddd308d5 fix-makefile.patch"
diff --git a/main/policyd-spf-fs/fix-makefile.patch b/main/policyd-spf-fs/fix-makefile.patch
new file mode 100644
index 0000000000..8ec74dccb2
--- /dev/null
+++ b/main/policyd-spf-fs/fix-makefile.patch
@@ -0,0 +1,13 @@
+diff -ru policyd-spf-fs_23.orig/Makefile policyd-spf-fs_23/Makefile
+--- policyd-spf-fs_23.orig/Makefile 2016-11-02 14:44:48.660570292 +0200
++++ policyd-spf-fs_23/Makefile 2016-11-02 14:46:25.591847406 +0200
+@@ -20,7 +20,7 @@
+ all: policyd-spf-fs
+
+ policyd-spf-fs: policyd-spf-fs.o Makefile
+- $(CC) $(CFLAGS) $(LIBS) policyd-spf-fs.o -o policyd-spf-fs
++ $(CC) $(CFLAGS) policyd-spf-fs.o $(LIBS) -o policyd-spf-fs
+
+ install: policyd-spf-fs
+ strip policyd-spf-fs
+Only in policyd-spf-fs_23: policyd-spf-fs